| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::instr::NodeData Class Reference

`#include <opencv2/core/utils/instrumentation.hpp>`

Collaboration diagram for cv::instr::NodeData:

## Public Member Functions
| NodeData (const char *funName=0, const char *fileName=NULL, int lineNum=0, void *retAddress=NULL, bool alwaysExpand=false, cv::instr::TYPE instrType=TYPE_GENERAL, cv::instr::IMPL implType=IMPL_PLAIN)
| NodeData (NodeData &ref)
| ~NodeData ()
double | getMeanMs () const
double | getTotalMs () const
NodeData & | operator= (const NodeData &)

## Public Attributes
bool | m_alwaysExpand
volatile int | m_counter
const char * | m_fileName
bool | m_funError
cv::String | m_funName
cv::instr::IMPL | m_implType
cv::instr::TYPE | m_instrType
int | m_lineNum
void * | m_retAddress
int | m_threads
volatile uint64 | m_ticksTotal
TLSDataAccumulator< NodeDataTls > | m_tls

## Constructor & Destructor Documentation

## ◆ NodeData() [1/2]

cv::instr::NodeData::NodeData | ( | const char * | funName = 0,
|  | const char * | fileName = NULL,
|  | int | lineNum = 0,
|  | void * | retAddress = NULL,
|  | bool | alwaysExpand = false,
|  | cv::instr::TYPE | instrType = TYPE_GENERAL,
|  | cv::instr::IMPL | implType = IMPL_PLAIN )

## ◆ NodeData() [2/2]

cv::instr::NodeData::NodeData | ( | NodeData & | ref | ) |

## ◆ ~NodeData()

cv::instr::NodeData::~NodeData | ( |  | ) |

## Member Function Documentation

## ◆ getMeanMs()

double cv::instr::NodeData::getMeanMs | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ getTotalMs()

double cv::instr::NodeData::getTotalMs | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ operator=()

NodeData & cv::instr::NodeData::operator= | ( | const NodeData & |  | ) |

## Member Data Documentation

## ◆ m_alwaysExpand

bool cv::instr::NodeData::m_alwaysExpand

## ◆ m_counter

volatile int cv::instr::NodeData::m_counter

## ◆ m_fileName

const char* cv::instr::NodeData::m_fileName

## ◆ m_funError

bool cv::instr::NodeData::m_funError

## ◆ m_funName

cv::String cv::instr::NodeData::m_funName

## ◆ m_implType

cv::instr::IMPL cv::instr::NodeData::m_implType

## ◆ m_instrType

cv::instr::TYPE cv::instr::NodeData::m_instrType

## ◆ m_lineNum

int cv::instr::NodeData::m_lineNum

## ◆ m_retAddress

void* cv::instr::NodeData::m_retAddress

## ◆ m_threads

int cv::instr::NodeData::m_threads

## ◆ m_ticksTotal

volatile uint64 cv::instr::NodeData::m_ticksTotal

## ◆ m_tls

TLSDataAccumulator<NodeDataTls> cv::instr::NodeData::m_tls

The documentation for this class was generated from the following file:

- opencv2/core/utils/instrumentation.hpp